Subject: Making libapk(-3) nicer to use

From: Rasmus Thomsen <[email-masked]>
Date: Thu, 23 Jan 2020 20:55:22 +0000

Hello,

since there's currently quite some talk about apk-tools-3 I thought it
might be worth mentioning this too, as libapk currently isn't too nice
to use.

There are currently a plugin for GNOME Software and Qt library[1] for
usage in KDE Discover in the works, but they have to jump through some
hoops to get it to work. As of now apk doesn't even always install a
shared library, nor a static library or even its headers, making it
hard to work with it (
https://gitlab.alpinelinux.org/alpine/apk-tools/merge_requests/11 tries
to fix that though). Additionally most of the convenience functions
(e.g. apk_repository_update) aren't in libapk but in apk, forcing other
frontends using libapk to reimplement these. It'd be nice if these
functions were included in libapk instead, so they could be reused.

1: https://gitlab.com/minlexx/libapk-qt